package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 额度申请记录基础信息
 * 表名 : t_credit_apply_userinfo
 * </pre>
 * @author: Mybatis Generator
 */
public class CreditApplyUserinfo {
    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply_userinfo.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 基础信息编号
     * 表字段 : t_credit_apply_userinfo.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit_apply_userinfo.credit_apply_code
     * </pre>
     */
    private String creditApplyCode;

    /**
     * <pre>
     * 主营业务
     * 表字段 : t_credit_apply_userinfo.en_business_main
     * </pre>
     */
    private String enBusinessMain;

    /**
     * <pre>
     * 经营类型
     * 表字段 : t_credit_apply_userinfo.en_business_type
     * </pre>
     */
    private String enBusinessType;

    /**
     * <pre>
     * 企业办公省市区(省)
     * 表字段 : t_credit_apply_userinfo.en_area_province
     * </pre>
     */
    private String enAreaProvince;

    /**
     * <pre>
     * 企业办公省市区（市）
     * 表字段 : t_credit_apply_userinfo.en_area_city
     * </pre>
     */
    private String enAreaCity;

    /**
     * <pre>
     * 企业办公省市区（区）
     * 表字段 : t_credit_apply_userinfo.en_area_district
     * </pre>
     */
    private String enAreaDistrict;

    /**
     * <pre>
     * 企业详细地址
     * 表字段 : t_credit_apply_userinfo.en_address
     * </pre>
     */
    private String enAddress;

    /**
     * <pre>
     * 姓名
     * 表字段 : t_credit_apply_userinfo.user_name
     * </pre>
     */
    private String userName;

    /**
     * <pre>
     * 手机号码
     * 表字段 : t_credit_apply_userinfo.user_phone
     * </pre>
     */
    private String userPhone;

    /**
     * <pre>
     * 联系人省市区(省)
     * 表字段 : t_credit_apply_userinfo.user_area_province
     * </pre>
     */
    private String userAreaProvince;

    /**
     * <pre>
     * 联系人省市区（市）
     * 表字段 : t_credit_apply_userinfo.user_area_city
     * </pre>
     */
    private String userAreaCity;

    /**
     * <pre>
     * 联系人省市区（区）
     * 表字段 : t_credit_apply_userinfo.user_area_district
     * </pre>
     */
    private String userAreaDistrict;

    /**
     * <pre>
     * 联系人详细地址
     * 表字段 : t_credit_apply_userinfo.user_address
     * </pre>
     */
    private String userAddress;

    /**
     * <pre>
     * 企业名称
     * 表字段 : t_credit_apply_userinfo.en_name
     * </pre>
     */
    private String enName;

    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply_userinfo.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_credit_apply_userinfo.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 基础信息编号
     * 表字段 : t_credit_apply_userinfo.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 基础信息编号
     * 表字段 : t_credit_apply_userinfo.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit_apply_userinfo.credit_apply_code
     * </pre>
     */
    public String getCreditApplyCode() {
        return creditApplyCode;
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit_apply_userinfo.credit_apply_code
     * </pre>
     */
    public void setCreditApplyCode(String creditApplyCode) {
        this.creditApplyCode = creditApplyCode == null ? null : creditApplyCode.trim();
    }

    /**
     * <pre>
     * 主营业务
     * 表字段 : t_credit_apply_userinfo.en_business_main
     * </pre>
     */
    public String getEnBusinessMain() {
        return enBusinessMain;
    }

    /**
     * <pre>
     * 主营业务
     * 表字段 : t_credit_apply_userinfo.en_business_main
     * </pre>
     */
    public void setEnBusinessMain(String enBusinessMain) {
        this.enBusinessMain = enBusinessMain == null ? null : enBusinessMain.trim();
    }

    /**
     * <pre>
     * 经营类型
     * 表字段 : t_credit_apply_userinfo.en_business_type
     * </pre>
     */
    public String getEnBusinessType() {
        return enBusinessType;
    }

    /**
     * <pre>
     * 经营类型
     * 表字段 : t_credit_apply_userinfo.en_business_type
     * </pre>
     */
    public void setEnBusinessType(String enBusinessType) {
        this.enBusinessType = enBusinessType == null ? null : enBusinessType.trim();
    }

    /**
     * <pre>
     * 企业办公省市区(省)
     * 表字段 : t_credit_apply_userinfo.en_area_province
     * </pre>
     */
    public String getEnAreaProvince() {
        return enAreaProvince;
    }

    /**
     * <pre>
     * 企业办公省市区(省)
     * 表字段 : t_credit_apply_userinfo.en_area_province
     * </pre>
     */
    public void setEnAreaProvince(String enAreaProvince) {
        this.enAreaProvince = enAreaProvince == null ? null : enAreaProvince.trim();
    }

    /**
     * <pre>
     * 企业办公省市区（市）
     * 表字段 : t_credit_apply_userinfo.en_area_city
     * </pre>
     */
    public String getEnAreaCity() {
        return enAreaCity;
    }

    /**
     * <pre>
     * 企业办公省市区（市）
     * 表字段 : t_credit_apply_userinfo.en_area_city
     * </pre>
     */
    public void setEnAreaCity(String enAreaCity) {
        this.enAreaCity = enAreaCity == null ? null : enAreaCity.trim();
    }

    /**
     * <pre>
     * 企业办公省市区（区）
     * 表字段 : t_credit_apply_userinfo.en_area_district
     * </pre>
     */
    public String getEnAreaDistrict() {
        return enAreaDistrict;
    }

    /**
     * <pre>
     * 企业办公省市区（区）
     * 表字段 : t_credit_apply_userinfo.en_area_district
     * </pre>
     */
    public void setEnAreaDistrict(String enAreaDistrict) {
        this.enAreaDistrict = enAreaDistrict == null ? null : enAreaDistrict.trim();
    }

    /**
     * <pre>
     * 企业详细地址
     * 表字段 : t_credit_apply_userinfo.en_address
     * </pre>
     */
    public String getEnAddress() {
        return enAddress;
    }

    /**
     * <pre>
     * 企业详细地址
     * 表字段 : t_credit_apply_userinfo.en_address
     * </pre>
     */
    public void setEnAddress(String enAddress) {
        this.enAddress = enAddress == null ? null : enAddress.trim();
    }

    /**
     * <pre>
     * 姓名
     * 表字段 : t_credit_apply_userinfo.user_name
     * </pre>
     */
    public String getUserName() {
        return userName;
    }

    /**
     * <pre>
     * 姓名
     * 表字段 : t_credit_apply_userinfo.user_name
     * </pre>
     */
    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    /**
     * <pre>
     * 手机号码
     * 表字段 : t_credit_apply_userinfo.user_phone
     * </pre>
     */
    public String getUserPhone() {
        return userPhone;
    }

    /**
     * <pre>
     * 手机号码
     * 表字段 : t_credit_apply_userinfo.user_phone
     * </pre>
     */
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone == null ? null : userPhone.trim();
    }

    /**
     * <pre>
     * 联系人省市区(省)
     * 表字段 : t_credit_apply_userinfo.user_area_province
     * </pre>
     */
    public String getUserAreaProvince() {
        return userAreaProvince;
    }

    /**
     * <pre>
     * 联系人省市区(省)
     * 表字段 : t_credit_apply_userinfo.user_area_province
     * </pre>
     */
    public void setUserAreaProvince(String userAreaProvince) {
        this.userAreaProvince = userAreaProvince == null ? null : userAreaProvince.trim();
    }

    /**
     * <pre>
     * 联系人省市区（市）
     * 表字段 : t_credit_apply_userinfo.user_area_city
     * </pre>
     */
    public String getUserAreaCity() {
        return userAreaCity;
    }

    /**
     * <pre>
     * 联系人省市区（市）
     * 表字段 : t_credit_apply_userinfo.user_area_city
     * </pre>
     */
    public void setUserAreaCity(String userAreaCity) {
        this.userAreaCity = userAreaCity == null ? null : userAreaCity.trim();
    }

    /**
     * <pre>
     * 联系人省市区（区）
     * 表字段 : t_credit_apply_userinfo.user_area_district
     * </pre>
     */
    public String getUserAreaDistrict() {
        return userAreaDistrict;
    }

    /**
     * <pre>
     * 联系人省市区（区）
     * 表字段 : t_credit_apply_userinfo.user_area_district
     * </pre>
     */
    public void setUserAreaDistrict(String userAreaDistrict) {
        this.userAreaDistrict = userAreaDistrict == null ? null : userAreaDistrict.trim();
    }

    /**
     * <pre>
     * 联系人详细地址
     * 表字段 : t_credit_apply_userinfo.user_address
     * </pre>
     */
    public String getUserAddress() {
        return userAddress;
    }

    /**
     * <pre>
     * 联系人详细地址
     * 表字段 : t_credit_apply_userinfo.user_address
     * </pre>
     */
    public void setUserAddress(String userAddress) {
        this.userAddress = userAddress == null ? null : userAddress.trim();
    }

    /**
     * <pre>
     * 企业名称
     * 表字段 : t_credit_apply_userinfo.en_name
     * </pre>
     */
    public String getEnName() {
        return enName;
    }

    /**
     * <pre>
     * 企业名称
     * 表字段 : t_credit_apply_userinfo.en_name
     * </pre>
     */
    public void setEnName(String enName) {
        this.enName = enName == null ? null : enName.trim();
    }
}